For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Company object
          • GET/companies
          • GET/companies/{id}
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsCompanies

/companies/{id}

GET
/hris/v1/companies/:id
GET
/api/hris/v1/companies/:id
$curl https://api.merge.dev/api/hris/v1/companies/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "id": "1b998423-db0a-4037-a4cf-f79c60cb67b3",
3 "remote_id": "19202938",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "legal_name": "Waystar Royco, Inc.",
7 "display_name": "Waystar Royco",
8 "eins": [
9 "12-3456789",
10 "12-3451111",
11 "11-0011000"
12 ],
13 "remote_was_deleted": true,
14 "field_mappings": {
15 "organization_defined_targets": {
16 "custom_key": "custom_value"
17 },
18 "linked_account_defined_targets": {
19 "custom_key": "custom_value"
20 }
21 },
22 "remote_data": [
23 {
24 "path": "/companies",
25 "data": null
26 }
27 ]
28}

Returns a Company object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/companies

Next

The Dependent object

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
legal_namestring or null
The company's legal name.
display_namestring or null
The company's display name.
einslist of strings or null
The company's Employer Identification Numbers.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only